cordova.define("ntaapp-plugin-file.NtaAppFile", function(require, exports, module) {
var NtaAppFile = {
    openFileExtra: function (extensionList) {
        console.log("before openFileExtra. in NtaAppFile.js");
        return new Promise(function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "NtaAppFile", "openFileExtra", [extensionList]);
        })
    },
    openFilesExtra: function (extensionList) {
        console.log("before openFilesExtra. in NtaAppFile.js");
        return new Promise(function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "NtaAppFile", "openFilesExtra", [extensionList]);
        })
    },
    saveFileExtra: function (fileName, extension, suggestedFileName) {
        console.log("before saveFileExtra. in NtaAppFile.js");
        return new Promise(function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "NtaAppFile", "saveFileExtra", [fileName, extension, suggestedFileName]);
        })
    },
    preCheckSaveFileExtra: function  (extension, suggestedFileName) {
        console.log("before preCheckSaveFileExtra. in NtaAppFile.js");
        return new Promise(function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "NtaAppFile", "preCheckSaveFileExtra", [extension, suggestedFileName]);
        })
    },
    saveFileExtraNoDialog: function (srcFilePath, destFile) {
        console.log("before saveFileExtraNoDialog. in NtaAppFile.js");
        return new Promise(function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "NtaAppFile", "saveFileExtraNoDialog", [srcFilePath, destFile]);
        })
    },
    getSpecifiedFolderByUser: function () {
        console.log("before getSpecifiedFolderByUser. in NtaAppFile.js");
        return new Promise(function (successCallback, errorCallback) {
            // Mac版において、第5引数を渡す必要があるため、空の配列を渡す
            cordova.exec(successCallback, errorCallback, "NtaAppFile", "getSpecifiedFolderByUser", []);
        })
    },
    saveFileToSpecifiedFolder: function (directory, fileName, extension) {
        console.log("before getSpecifiedFolderByUser. in NtaAppFile.js");
        return new Promise(function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "NtaAppFile", "saveFileToSpecifiedFolder", [directory, fileName, extension]);
        })
    },
    saveFolderToSpecifiedFolder: function (toDirectory, fromDirectory) {
        console.log("before getSpecifiedFolderByUser. in NtaAppFile.js");
        return new Promise(function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "NtaAppFile", "saveFolderToSpecifiedFolder", [toDirectory, fromDirectory]);
        })
    },

    saveFileExtraFolder: function (fileNameList) {
        console.log("before saveFileExtraFolder. in NtaAppFile.js");
        return new Promise(function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "NtaAppFile", "saveFileExtraFolder", [fileNameList]);
        })
    },
    preCheckSaveFileExtraFolder: function (filePathList) {
        console.log("before preCheckSaveFileExtraFolder. in NtaAppFile.js");
        return new Promise(function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "NtaAppFile", "preCheckSaveFileExtraFolder", [filePathList]);
        })
    },
    saveFileExtraFolderNoDialog: function (srcFilePathList, destFolder) {
        console.log("before saveFileExtraFolder. in NtaAppFile.js");
        return new Promise(function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "NtaAppFile", "saveFileExtraFolderNoDialog", [srcFilePathList, destFolder]);
        })
    },
    openBrowser: filePath => {
        console.log("before openBrowser. in NtaAppFile.js");
        return new Promise(function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "NtaAppFile", "openBrowser", [filePath]);
        })        
    }
};

//htmlはこのオブジェクトを呼ぶ
module.exports = NtaAppFile;

});
